Subject: Re: lets settle the LED `function` property regarding the netdev trigger

From: Andrew Lunn <[email-masked]>
Date: Tue, 5 Oct 2021 22:12:04 +0200

> > > There are two different ways this can be implemented. There can be two
> > > independent LEDs within the same package. So you can generate three
> > > colours. Or there can be two cross connected LEDs within the
> > > package. Apply +ve you get one colour, apply -ve you get a different
> > > colour. Since you cannot apply both -ve and +ve at the same time, you
> > > cannot get both colours at once.
> > > 
> > > If you have two independent LEDs, I would define two LEDs in DT.
> > 
> > No, we have multicolor LED API which is meant for exactly this
> > situation: a multicolor LED.

> What do you mean by dependency here?

https://www.youtube.com/watch?v=5M9p25OfKdg

There are two different ways you can two LEDs in one package.

Some Ethernet PHY RJ45 connector housings have bi-colour LEDs. Some
have tri-colour LEDs, and some have mono-colour LEDs.

      Andrew